## pipewire 0.3.24

=== meson_options.txt ===
option('docs',
       description: 'Build documentation',
       type: 'feature',
       value: 'disabled')
option('examples',
       description: 'Build examples',
       type: 'feature',
       value: 'enabled')
option('media-session',
       description: 'Build and install pipewire-media-session',
       type: 'feature',
       value: 'auto')
option('man',
       description: 'Build manpages',
       type: 'feature',
       value: 'auto')
option('tests',
       description: 'Build tests',
       type: 'feature',
       value: 'auto',
       yield : true)
option('installed_tests',
       description: 'Install manual and automated test executables',
       type: 'feature',
       value: 'disabled')
option('gstreamer',
       description: 'Build GStreamer plugins',
       type: 'feature',
       value: 'auto')
option('gstreamer-device-provider',
       description: 'Build GStreamer device provider plugin',
       type: 'feature',
       value: 'auto')
option('systemd',
       description: 'Enable systemd integration',
       type: 'feature',
       value: 'auto')
option('systemd-system-service',
       description: 'Install systemd system service file',
       type: 'feature',
       value: 'disabled')
option('systemd-user-service',
       description: 'Install systemd user service file',
       type: 'feature',
       value: 'auto')
option('pipewire-alsa',
       description: 'Enable pipewire-alsa integration',
       type: 'feature',
       value: 'auto')
option('pipewire-jack',
       description: 'Enable pipewire-jack integration',
       type: 'feature',
       value: 'auto')
option('libjack-path',
       description: 'Where to install the libjack.so library',
       type: 'string')
option('spa-plugins',
       description: 'Enable spa plugins integration',
       type: 'feature',
       value: 'auto')
option('alsa',
       description: 'Enable alsa spa plugin integration',
       type: 'feature',
       value: 'auto')
option('audiomixer',
       description: 'Enable audiomixer spa plugin integration',
       type: 'feature',
       value: 'auto')
option('audioconvert',
       description: 'Enable audioconvert spa plugin integration',
       type: 'feature',
       value: 'auto')
option('bluez5',
       description: 'Enable bluez5 spa plugin integration',
       type: 'feature',
       value: 'auto')
option('bluez5-backend-hsp-native',
       description: 'Enable HSP in native backend in bluez5 spa plugin',
       type: 'feature',
       value: 'auto')
option('bluez5-backend-hfp-native',
       description: 'Enable HFP in native backend in bluez5 spa plugin',
       type: 'feature',
       value: 'auto')
option('bluez5-backend-ofono',
       description: 'Enable oFono HFP backend in bluez5 spa plugin',
       type: 'feature',
       value: 'auto')
option('bluez5-backend-hsphfpd',
       description: 'Enable hsphfpd backend in bluez5 spa plugin',
       type: 'feature',
       value: 'auto')
option('bluez5-codec-aptx',
        description: 'Enable AptX Qualcomm open source codec implementation',
        type: 'feature',
        value: 'auto')
option('bluez5-codec-ldac',
        description: 'Enable LDAC Sony open source codec implementation',
        type: 'feature',
        value: 'auto')
option('bluez5-codec-aac',
        description: 'Enable Fraunhofer FDK AAC open source codec implementation',
        type: 'feature',
        value: 'auto')
option('control',
       description: 'Enable control spa plugin integration',
       type: 'feature',
       value: 'auto')
option('audiotestsrc',
       description: 'Enable audiotestsrc spa plugin integration',
       type: 'feature',
       value: 'auto')
option('ffmpeg',
       description: 'Enable ffmpeg spa plugin integration',
       type: 'feature',
       value: 'disabled')
option('jack',
       description: 'Enable jack spa plugin integration',
       type: 'feature',
       value: 'auto')
option('support',
       description: 'Enable support spa plugin integration',
       type: 'feature',
       value: 'auto')
option('evl',
       description: 'Enable EVL support spa plugin integration',
       type: 'feature',
       value: 'disabled')
option('test',
       description: 'Enable test spa plugin integration',
       type: 'feature',
       value: 'disabled')
option('v4l2',
       description: 'Enable v4l2 spa plugin integration',
       type: 'feature',
       value: 'auto')
option('libcamera',
       description: 'Enable libcamera spa plugin integration',
       type: 'feature',
       value: 'auto')
option('videoconvert',
       description: 'Enable videoconvert spa plugin integration',
       type: 'feature',
       value: 'auto')
option('videotestsrc',
       description: 'Enable videotestsrc spa plugin integration',
       type: 'feature',
       value: 'auto')
option('volume',
       description: 'Enable volume spa plugin integration',
       type: 'feature',
       value: 'auto')
option('vulkan',
       description: 'Enable vulkan spa plugin integration',
       type: 'feature',
       value: 'auto')
option('pw-cat',
       description: 'Build pw-cat/pw-play/pw-record',
       type: 'feature',
       value: 'auto')
option('udev',
       description: 'Enable Udev integration',
       type: 'feature',
       value: 'auto')
option('udevrulesdir',
       type : 'string',
       description : 'Directory for udev rules (defaults to /lib/udev/rules.d)')
option('systemd-user-unit-dir',
       type : 'string',
       description : 'Directory for user systemd units (defaults to /usr/lib/systemd/user)')
option('sdl2',
       description: 'Enable code that depends on SDL 2',
       type: 'feature',
       value: 'auto')
option('sndfile',
       description: 'Enable code that depends on libsndfile',
       type: 'feature',
       value: 'auto')

=== debian/changelog ===
pipewire (0.3.24-3) experimental; urgency=medium

  * debian/rules: Disable ldac on arches where it's not available.  This isn't
    available on these arches. piepwire FTBFS otherwise as it tries to find
    it.

 -- Iain Lane <laney@debian.org>  Thu, 25 Mar 2021 00:01:00 +0000

pipewire (0.3.24-2) experimental; urgency=medium

  * Move doxygen/graphviz into Build-Depends; Fixes arch only build failures
  * Re-add support for nodocs builds
  * run wrap-and-sort

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 19 Mar 2021 16:57:32 +0100

pipewire (0.3.24-1) experimental; urgency=medium

  * New upstream release
  * Adjust builds options to cope with pipewire switching more options to
    features, actual options used are unchanged

 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 18 Mar 2021 20:46:29 +0100

pipewire (0.3.23-1) experimental; urgency=medium

  * New upstream release
  * Update symbols file
  * debian/pipewire.install
    - Install new pipewire-media-session.service
  * d/d/p/bluez5-volumes-need-to-be-distributed-to-all-channels.patch
    d/p/bluez5-set-the-right-volumes-on-the-node.patch
    d/p/policy-node-don-t-crash-without-metadata.patch
    - Dropped; All included in upstream release
  * Refreshed patches

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 05 Mar 2021 20:21:46 +0100

pipewire (0.3.22-2) experimental; urgency=medium

  [ Daniel van Vugt ]
  * Fix "the metadata crash" (LP: #1916716). Using upstream commit
    3673265ae20d7b59e89cad6c5238c232796731b2 which is scheduled for inclusion
    in release 0.3.23.

 -- Iain Lane <laney@debian.org>  Thu, 04 Mar 2021 11:09:52 +0000

pipewire (0.3.22-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * d/p/bluez5-volumes-need-to-be-distributed-to-all-channels.patch
    d/p/bluez5-set-the-right-volumes-on-the-node.patch:
    - Fix volume control on bluetooth devices
  * d/libpipewire-0.3-0.symbols:
    - Add new symbols
  * debian/pipewire-bin.install
    - Install new confiration file (bluez, v4l and client config)

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 20 Feb 2021 21:50:40 +0100

=== debian/control ===
Source: pipewire
Section: libs
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
Uploaders: Jeremy Bicha <jbicha@debian.org>
Build-Depends: debhelper-compat (= 13),
               doxygen <!nodoc>,
               graphviz <!nodoc>,
               libasound2-dev,
               libbluetooth-dev,
               libdbus-1-dev,
               libglib2.0-dev (>= 2.32.0),
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libjack-jackd2-dev (>= 1.9.10),
               libldacbt-abr-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
               libldacbt-enc-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
               libncurses-dev,
               libopenaptx-dev (>= 0.2.0-5~),
               libpulse-dev (>= 11.1),
               libsbc-dev,
               libsdl2-dev,
               libsndfile1-dev (>= 1.0.20),
               libsystemd-dev [linux-any],
               libudev-dev [linux-any],
               libv4l-dev,
               meson (>= 0.50.0),
               pkg-config (>= 0.22),
               systemd [linux-any],
               xmltoman
Build-Conflicts: libfdk-aac-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/utopia-team/pipewire
Vcs-Git: https://salsa.debian.org/utopia-team/pipewire.git
Homepage: https://pipewire.org/

Package: libpipewire-0.3-0
Architecture: linux-any
Multi-Arch: same
Depends: libspa-0.2-modules (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: pipewire (= ${binary:Version})
Description: libraries for the PipeWire multimedia server
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.

Package: libpipewire-0.3-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: libpipewire-0.3-0 (= ${binary:Version}),
         libspa-0.2-dev (= ${binary:Version}),
         ${misc:Depends}
Suggests: pipewire-doc
Description: libraries for the PipeWire multimedia server - development
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the development files.

Package: libpipewire-0.3-modules
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: pipewire (<< 0.3.5)
Replaces: pipewire (<< 0.3.5)
Description: libraries for the PipeWire multimedia server - modules
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains modules used by the PipeWire server and by clients,
 and should not normally be depended on directly. PipeWire clients should
 depend on the pipewire package instead.

Package: libspa-0.2-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}
Suggests: pipewire-doc
Description: libraries for the PipeWire multimedia server Simple Plugin API - development
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the development files for the Simple Plugin API.

Package: libspa-0.2-modules
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: pipewire (<< 0.3.5)
Replaces: pipewire (<< 0.3.5)
Description: libraries for the PipeWire multimedia server Simple Plugin API - modules
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains core support modules used in the Simple Plugin API,
 together with test and utility modules that do not introduce additional
 dependencies. It should not normally be depended on directly: PipeWire
 clients should depend on the pipewire package instead.

Package: pipewire-doc
Section: doc
Build-Profiles: <!nodoc>
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libpipewire-0.2-doc (<< 0.3.1)
Replaces: libpipewire-0.2-doc (<< 0.3.1)
Description: libraries for the PipeWire multimedia server - documentation
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the API reference.

Package: pipewire
Section: video
Architecture: linux-any
Multi-Arch: same
Depends: libpipewire-0.3-modules (= ${binary:Version}),
         pipewire-bin (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: audio and video processing engine multimedia server
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This metapackage makes PipeWire available for programs of the same
 architecture, and provides the systemd user service necessary to run
 pipewire on-demand.

Package: pipewire-bin
Section: video
Architecture: linux-any
Multi-Arch: foreign
Depends: libpipewire-0.3-modules (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: pipewire (<< 0.3.5)
Replaces: pipewire (<< 0.3.5)
Description: PipeWire multimedia server - programs
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the server and command-line utilities, and should
 not normally be depended on directly. PipeWire clients should depend on
 the pipewire package instead.

Package: pipewire-audio-client-libraries
Architecture: linux-any
Multi-Arch: same
Depends: pipewire (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Recommends: ${shlibs:Recommends}
Breaks: pipewire (<< 0.3.5)
Replaces: pipewire (<< 0.3.5)
Description: PipeWire multimedia server - audio client libraries
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains client libraries allowing programs designed for
 the ALSA, JACK and PulseAudio APIs to use a PipeWire server for audio
 playback and recording. They are not used by default, and are currently
 considered to be experimental.

Package: pipewire-tests
Architecture: linux-any
Depends: pipewire (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Section: misc
Description: PipeWire multimedia server - tests and examples
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains automated and manual tests and example programs.

Package: gstreamer1.0-pipewire
Architecture: linux-any
Multi-Arch: same
Depends: pipewire (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: GStreamer 1.0 plugin for the PipeWire multimedia server
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains a plugin to make devices managed by the PipeWire
 server available as GStreamer sources and sinks.

Package: libspa-0.2-bluetooth
Architecture: linux-any
Multi-Arch: same
Depends: libspa-0.2-modules (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: libraries for the PipeWire multimedia server - bluetooth plugins
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains a plugin to make Bluetooth audio devices such as
 speakers and headsets available to the PipeWire server. It is considered
 to be experimental, and is disabled by default (even if installed) to
 avoid conflicts with equivalent functionality in PulseAudio.

Package: libspa-0.2-jack
Architecture: linux-any
Multi-Arch: same
Depends: libspa-0.2-modules (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: libraries for the PipeWire multimedia server - JACK client
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains a plugin to make PipeWire able to connect to a
 JACK server, which will be used for audio playback and recording.
 Using PipeWire for audio is considered to be experimental.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@

ifneq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
DOCS=disabled
else
DOCS=enabled
endif

ifneq (,$(filter s390x hppa m68k powerpc ppc64 sparc64,$(DEB_HOST_ARCH)))
BLUEZ5_CODEC_LDAC=disabled
else
BLUEZ5_CODEC_LDAC=enabled
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		-Daudiotestsrc=enabled \
		-Dauto_features=enabled \
		-Dbluez5-codec-aac=disabled \
		-Dbluez5-codec-ldac=$(BLUEZ5_CODEC_LDAC) \
		-Dlibcamera=disabled \
		-Ddocs=$(DOCS) \
		-Dffmpeg=disabled \
		-Dinstalled_tests=enabled \
		-Dman=enabled \
		-Dtest=enabled \
		-Dvideotestsrc=enabled \
		-Dvolume=enabled \
		-Dvulkan=disabled \
		$(NULL)
	install -d debian/ld.so.conf.d
	echo "/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.3/jack/" > "debian/ld.so.conf.d/pipewire-jack-$(DEB_HOST_MULTIARCH).conf"

test_timeout_multiplier = 1

ifneq ($(filter arm hppa ia64 m68k riscv64 sh4 sparc%,$(DEB_HOST_ARCH_CPU)),)
test_timeout_multiplier = 5
endif

ifneq ($(filter mips%,$(DEB_HOST_ARCH_CPU)),)
test_timeout_multiplier = 10
endif

override_dh_auto_test:
	dh_auto_test \
		-- \
		--timeout-multiplier $(test_timeout_multiplier) \
		$(NULL)

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs \
		--exclude=/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0 \
		--exclude=/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.3 \
		--exclude=/usr/lib/$(DEB_HOST_MULTIARCH)/spa-0.2 \
		-- -c4

override_dh_shlibdeps-arch:
	dh_shlibdeps \
		-ppipewire-audio-client-libraries \
		-l/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.3 \
		-- \
		-Ldebian/pipewire-audio-client-libraries.shlibs.local \
		$(NULL)
	dh_shlibdeps \
		--remaining-packages \
		-l/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.3 \
		$(NULL)

## pipewire 0.3.32

=== debian/changelog ===
pipewire (0.3.32-1) experimental; urgency=medium

  * Team upload.
  * New upstream release
  * Update symbols file

 -- Dylan Aïssi <daissi@debian.org>  Wed, 21 Jul 2021 12:14:03 +0200

pipewire (0.3.31-1) experimental; urgency=medium

  * Team upload.
  * New upstream release
  * Add libusb-1.0-0-dev to Build-Depends
  * Disable roc module at least for now
  * Install bluez-hardware.conf in pipewire-media-session
  * Update symbols file

 -- Dylan Aïssi <daissi@debian.org>  Tue, 29 Jun 2021 12:09:29 +0200

pipewire (0.3.30-1) experimental; urgency=medium

  * Team upload.
  * New upstream release
  * Remove d/p/Let-pipewire-pulse-services-conflict-with-their-pulseaudi.patch,
      applied upstream.
  * Add libwebrtc-audio-processing-dev to Build-Depends
  * Update symbols file
  * Remove unused lintian override in pipewire-audio-client-libraries

 -- Dylan Aïssi <daissi@debian.org>  Wed, 16 Jun 2021 12:07:16 +0200

pipewire (0.3.28-1) experimental; urgency=medium

  [ Frédéric Danis ]
  * Split pipewire-media-session from pipewire-bin package
  * Split pipewire-pulse from pipewire-bin package

  [ Sjoerd Simons ]
  * Install user systemd units by default
  * Update readme for seperate pipewire-pulse
  * New upstream release
  * Disable avahi module at least for now
  * Don't install the filter-chain example configurations
  * Update libpipewire-0.3-0 symbol file
  * Remove configuration files that moved to /usr/share

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 22 May 2021 16:19:10 +0200

pipewire (0.3.27-1) experimental; urgency=medium

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 12 May 2021 20:37:03 +0200

pipewire (0.3.26-1) experimental; urgency=medium

  * New upstream release
  * Add libpipewire-0.3-common to hold the translation files
  * Install pw-link in pipewire-bin
  * Update libpipewire-0.3-0 symbols

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 25 Apr 2021 20:54:29 +0200

pipewire (0.3.25-1) experimental; urgency=medium

  * New upstream release
  * Install pw-loopback tool in pipewire-bin

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 09 Apr 2021 21:57:09 +0200

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,9 @@
                libsndfile1-dev (>= 1.0.20),
                libsystemd-dev [linux-any],
                libudev-dev [linux-any],
+               libusb-1.0-0-dev,
                libv4l-dev,
+               libwebrtc-audio-processing-dev,
                meson (>= 0.50.0),
                pkg-config (>= 0.22),
                systemd [linux-any],
@@ -40,7 +42,7 @@
 Depends: libspa-0.2-modules (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: pipewire (= ${binary:Version})
+Recommends: pipewire (= ${binary:Version}), libpipewire-0.3-common
 Description: libraries for the PipeWire multimedia server
  PipeWire is a server and user space API to deal with multimedia
  pipelines. This includes:
@@ -49,6 +51,22 @@
     application provided streams) and multiplexing this with clients.
   - Accessing sources of video for consumption.
   - Generating graphs for audio and video processing.
+
+Package: libpipewire-0.3-common
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: libraries for the PipeWire multimedia server - common files
+ PipeWire is a server and user space API to deal with multimedia
+ pipelines. This includes:
+ .
+  - Making available sources of video (such as from a capture devices or
+    application provided streams) and multiplexing this with clients.
+  - Accessing sources of video for consumption.
+  - Generating graphs for audio and video processing.
+ .
+ This package is needed for the runtime libraries to display messages in
+ languages other than English.
 
 Package: libpipewire-0.3-dev
 Section: libdevel
@@ -172,6 +190,7 @@
 Depends: libpipewire-0.3-modules (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
+Recommends: pipewire-media-session | wireplumber
 Breaks: pipewire (<< 0.3.5)
 Replaces: pipewire (<< 0.3.5)
 Description: PipeWire multimedia server - programs
@@ -186,6 +205,46 @@
  This package contains the server and command-line utilities, and should
  not normally be depended on directly. PipeWire clients should depend on
  the pipewire package instead.
+
+Package: pipewire-media-session
+Section: video
+Architecture: linux-any
+Multi-Arch: foreign
+Replaces: pipewire-bin (<< 0.3.27-2)
+Breaks: pipewire-bin (<< 0.3.27-2)
+Depends: pipewire (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: PipeWire multimedia session manager
+ PipeWire is a server and user space API to deal with multimedia
+ pipelines. This includes:
+ .
+  - Making available sources of video (such as from a capture devices or
+    application provided streams) and multiplexing this with clients.
+  - Accessing sources of video for consumption.
+  - Generating graphs for audio and video processing.
+ .
+ This package contains the default media session manager.
+
+Package: pipewire-pulse
+Section: video
+Architecture: linux-any
+Multi-Arch: foreign
+Replaces: pipewire-bin (<< 0.3.27-2)
+Breaks: pipewire-bin (<< 0.3.27-2)
+Depends: pipewire (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: PipeWire PulseAudio daemon
+ PipeWire is a server and user space API to deal with multimedia
+ pipelines. This includes:
+ .
+  - Making available sources of video (such as from a capture devices or
+    application provided streams) and multiplexing this with clients.
+  - Accessing sources of video for consumption.
+  - Generating graphs for audio and video processing.
+ .
+ This package contains the PulseAudio replacement daemon.
 
 Package: pipewire-audio-client-libraries
 Architecture: linux-any
@@ -249,31 +308,3 @@
  PipeWire is a server and user space API to deal with multimedia
  pipelines. This includes:
  .
-  - Making available sources of video (such as from a capture devices or
-    application provided streams) and multiplexing this with clients.
-  - Accessing sources of video for consumption.
-  - Generating graphs for audio and video processing.
- .
- This package contains a plugin to make Bluetooth audio devices such as
- speakers and headsets available to the PipeWire server. It is considered
- to be experimental, and is disabled by default (even if installed) to
- avoid conflicts with equivalent functionality in PulseAudio.
-
-Package: libspa-0.2-jack
-Architecture: linux-any
-Multi-Arch: same
-Depends: libspa-0.2-modules (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: libraries for the PipeWire multimedia server - JACK client
- PipeWire is a server and user space API to deal with multimedia
- pipelines. This includes:
- .
-  - Making available sources of video (such as from a capture devices or
-    application provided streams) and multiplexing this with clients.
-  - Accessing sources of video for consumption.
-  - Generating graphs for audio and video processing.
- .
- This package contains a plugin to make PipeWire able to connect to a
- JACK server, which will be used for audio playback and recording.
- Using PipeWire for audio is considered to be experimental.

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,7 @@
 	dh_auto_configure -- \
 		-Daudiotestsrc=enabled \
 		-Dauto_features=enabled \
+		-Davahi=disabled \
 		-Dbluez5-codec-aac=disabled \
 		-Dbluez5-codec-ldac=$(BLUEZ5_CODEC_LDAC) \
 		-Dlibcamera=disabled \
@@ -29,6 +30,7 @@
 		-Dffmpeg=disabled \
 		-Dinstalled_tests=enabled \
 		-Dman=enabled \
+		-Droc=disabled \
 		-Dtest=enabled \
 		-Dvideotestsrc=enabled \
 		-Dvolume=enabled \

=== debian/watch ===
version=4
https://github.com/PipeWire/pipewire/releases \
 .*/@ANY_VERSION@@ARCHIVE_EXT@

## pipewire 0.3.48

=== meson_options.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+option('docdir',
+       type : 'string',
+       description : 'Directory for installing documentation to (defaults to pipewire_datadir/doc/meson.project_name() )')
 option('docs',
        description: 'Build documentation',
        type: 'feature',
@@ -6,10 +9,6 @@
        description: 'Build examples',
        type: 'feature',
        value: 'enabled')
-option('media-session',
-       description: 'Build and install pipewire-media-session',
-       type: 'feature',
-       value: 'auto')
 option('man',
        description: 'Build manpages',
        type: 'feature',
@@ -17,7 +16,7 @@
 option('tests',
        description: 'Build tests',
        type: 'feature',
-       value: 'auto',
+       value: 'enabled',
        yield : true)
 option('installed_tests',
        description: 'Install manual and automated test executables',
@@ -40,9 +39,9 @@
        type: 'feature',
        value: 'disabled')
 option('systemd-user-service',
-       description: 'Install systemd user service file',
-       type: 'feature',
-       value: 'auto')
+       description: 'Install systemd user service file (ignored without systemd)',
+       type: 'feature',
+       value: 'enabled')
 option('pipewire-alsa',
        description: 'Enable pipewire-alsa integration',
        type: 'feature',
@@ -50,14 +49,25 @@
 option('pipewire-jack',
        description: 'Enable pipewire-jack integration',
        type: 'feature',
-       value: 'auto')
+       value: 'enabled')
+option('pipewire-v4l2',
+       description: 'Enable pipewire-v4l2 integration',
+       type: 'feature',
+       value: 'enabled')
+option('jack-devel',
+       description: 'Install jack development files',
+       type: 'boolean',
+       value: 'false')
 option('libjack-path',
        description: 'Where to install the libjack.so library',
        type: 'string')
+option('libv4l2-path',
+       description: 'Where to install the libpw-v4l2.so library',
+       type: 'string')
 option('spa-plugins',
        description: 'Enable spa plugins integration',
        type: 'feature',
-       value: 'auto')
+       value: 'enabled')
 option('alsa',
        description: 'Enable alsa spa plugin integration',
        type: 'feature',
@@ -65,11 +75,11 @@
 option('audiomixer',
        description: 'Enable audiomixer spa plugin integration',
        type: 'feature',
-       value: 'auto')
+       value: 'enabled')
 option('audioconvert',
        description: 'Enable audioconvert spa plugin integration',
        type: 'feature',
-       value: 'auto')
+       value: 'enabled')
 option('bluez5',
        description: 'Enable bluez5 spa plugin integration',
        type: 'feature',
@@ -77,19 +87,19 @@
 option('bluez5-backend-hsp-native',
        description: 'Enable HSP in native backend in bluez5 spa plugin',
        type: 'feature',
-       value: 'auto')
+       value: 'enabled')
 option('bluez5-backend-hfp-native',
        description: 'Enable HFP in native backend in bluez5 spa plugin',
        type: 'feature',
-       value: 'auto')
+       value: 'enabled')
 option('bluez5-backend-ofono',
-       description: 'Enable oFono HFP backend in bluez5 spa plugin',
-       type: 'feature',
-       value: 'auto')
+       description: 'Enable oFono HFP backend in bluez5 spa plugin (no dependency on oFono)',
+       type: 'feature',
+       value: 'enabled')
 option('bluez5-backend-hsphfpd',
-       description: 'Enable hsphfpd backend in bluez5 spa plugin',
-       type: 'feature',
-       value: 'auto')
+       description: 'Enable hsphfpd backend in bluez5 spa plugin (no dependency on hsphfpd)',
+       type: 'feature',
+       value: 'enabled')
 option('bluez5-codec-aptx',
         description: 'Enable AptX Qualcomm open source codec implementation',
         type: 'feature',
@@ -105,11 +115,11 @@
 option('control',
        description: 'Enable control spa plugin integration',
        type: 'feature',
-       value: 'auto')
+       value: 'enabled')
 option('audiotestsrc',
        description: 'Enable audiotestsrc spa plugin integration',
        type: 'feature',
-       value: 'auto')
+       value: 'enabled')
 option('ffmpeg',
        description: 'Enable ffmpeg spa plugin integration',
        type: 'feature',
@@ -121,7 +131,7 @@
 option('support',
        description: 'Enable support spa plugin integration',
        type: 'feature',
-       value: 'auto')
+       value: 'enabled')
 option('evl',
        description: 'Enable EVL support spa plugin integration',
        type: 'feature',
@@ -134,6 +144,10 @@
        description: 'Enable v4l2 spa plugin integration',
        type: 'feature',
        value: 'auto')
+option('dbus',
+       description: 'Enable code that depends on dbus',
+       type: 'feature',
+       value: 'enabled')
 option('libcamera',
        description: 'Enable libcamera spa plugin integration',
        type: 'feature',
@@ -141,19 +155,19 @@
 option('videoconvert',
        description: 'Enable videoconvert spa plugin integration',
        type: 'feature',
-       value: 'auto')
+       value: 'enabled')
 option('videotestsrc',
        description: 'Enable videotestsrc spa plugin integration',
        type: 'feature',
-       value: 'auto')
+       value: 'enabled')
 option('volume',
        description: 'Enable volume spa plugin integration',
        type: 'feature',
-       value: 'auto')
+       value: 'enabled')
 option('vulkan',
        description: 'Enable vulkan spa plugin integration',
        type: 'feature',
-       value: 'auto')
+       value: 'disabled')
 option('pw-cat',
        description: 'Build pw-cat/pw-play/pw-record',
        type: 'feature',
@@ -165,6 +179,9 @@
 option('udevrulesdir',
        type : 'string',
        description : 'Directory for udev rules (defaults to /lib/udev/rules.d)')
+option('systemd-system-unit-dir',
+       type : 'string',
+       description : 'Directory for system systemd units (defaults to /usr/lib/systemd/system)')
 option('systemd-user-unit-dir',
        type : 'string',
        description : 'Directory for user systemd units (defaults to /usr/lib/systemd/user)')
@@ -176,3 +193,47 @@
        description: 'Enable code that depends on libsndfile',
        type: 'feature',
        value: 'auto')
+option('libpulse',
+       description: 'Enable code that depends on libpulse',
+       type: 'feature',
+       value: 'auto')
+option('roc',
+       description: 'Enable code that depends on roc toolkit',
+       type: 'feature',
+       value: 'auto')
+option('avahi',
+       description: 'Enable code that depends on avahi',
+       type: 'feature',
+       value: 'auto')
+option('echo-cancel-webrtc',
+       description : 'Enable WebRTC-based echo canceller',
+       type : 'feature',
+       value : 'auto')
+option('libusb',
+       description: 'Enable code that depends on libusb',
+       type: 'feature',
+       value: 'auto')
+option('session-managers',
+       description : 'Session managers to build (can be [] for none or an absolute path)',
+       type : 'array',
+       value : ['media-session'])
+option('raop',
+       description: 'Enable module for Remote Audio Output Protocol',
+       type: 'feature',
+       value: 'auto')
+option('lv2',
+       description: 'Enable loading of LV2 plugins',
+       type: 'feature',
+       value: 'auto')
+option('x11',
+       description: 'Enable code that depends on X11',
+       type: 'feature',
+       value: 'auto')
+option('x11-xfixes',
+       description: 'Enable code that depends on XFixes',
+       type: 'feature',
+       value: 'auto')
+option('libcanberra',
+       description: 'Enable code that depends on libcanberra',
+       type: 'feature',
+       value: 'auto')

=== debian/changelog ===
pipewire (0.3.48-1ubuntu1) jammy; urgency=medium

  * debian/control, debian/rules: 
    - build without libfreeaptx for now since the package is in universe,
      it's also not a priority since we are still using pulseaudio

 -- Sebastien Bacher <seb128@ubuntu.com>  Sat, 05 Mar 2022 12:31:25 +0100

pipewire (0.3.48-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Update symbols file

 -- Dylan Aïssi <daissi@debian.org>  Thu, 03 Mar 2022 15:43:37 +0100

pipewire (0.3.47-1) unstable; urgency=medium

  * Team upload.
  * New upstream release

 -- Dylan Aïssi <daissi@debian.org>  Fri, 18 Feb 2022 14:30:39 +0100

pipewire (0.3.46-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #1005067)
  * Install the new aec module in libspa-0.2-modules
  * Update symbols file

 -- Dylan Aïssi <daissi@debian.org>  Thu, 17 Feb 2022 21:58:18 +0100

pipewire (0.3.45-2) unstable; urgency=medium

  * Team upload.
  * Re-enable aptX support, add libfreeaptx-dev to BD (Closes: #1005801)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 15 Feb 2022 11:18:05 +0100

pipewire (0.3.45-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Don't install new filter-chain example conf file
  * Update symbols file
  * Adapt lintian overrides to the new output
  * Standards-Version: 4.6.0 (no changes required)

 -- Dylan Aïssi <daissi@debian.org>  Thu, 03 Feb 2022 21:42:07 +0100

pipewire (0.3.44-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Add libcanberra-dev to Build-Depends
  * Bump minimum meson to 0.59
  * Install new usr/share/pipewire/minimal.conf in pipewire-bin

 -- Dylan Aïssi <daissi@debian.org>  Thu, 27 Jan 2022 16:24:40 +0100

pipewire (0.3.43-2) unstable; urgency=medium

  * Team upload.
  * Skip the new test pw-test-pipewire-alsa-stress,
      this test runs an infinite loop.

 -- Dylan Aïssi <daissi@debian.org>  Tue, 11 Jan 2022 12:10:22 +0100

pipewire (0.3.43-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Refresh d/p/Don-t-build_same_binary_twice.patch
  * Bump minimum meson to 0.56

 -- Dylan Aïssi <daissi@debian.org>  Mon, 10 Jan 2022 10:54:04 +0100

pipewire (0.3.42-1) unstable; urgency=medium

  * Team upload.

  [ Sebastien Bacher ]
  * debian/rules:
    - disable the new lv2 option on Ubuntu, lilv and its depends
      (serd, sord, sratom) are currently in universe (Closes: #1001691)

  [ Dylan Aïssi ]
  * New upstream release

 -- Dylan Aïssi <daissi@debian.org>  Fri, 17 Dec 2021 10:19:36 +0100

pipewire (0.3.41-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Add libssl-dev and liblilv-dev to Build-Depends
  * Update symbols file
  * Set Rules-Requires-Root: no

 -- Dylan Aïssi <daissi@debian.org>  Mon, 13 Dec 2021 12:09:33 +0100

pipewire (0.3.40-2) unstable; urgency=medium

  * Team upload.
  * Change back priority order between pipewire-media-session and wireplumber.
      Pipewire-media-session is enough for the current default usage of
      pipewire in Debian (i.e. screen recording). Having Wireplumber with a
      higher priority leads to install by default pipewire-pulse and consequently
      to replace pulseaudio by pipewire as sound server. See #999363.
      .
      WirePlumber is still the recommended session manager for users who want
      to use pipewire as sound server. The priority order will be changed again
      once we will decide to use pipewire as default sound server.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 24 Nov 2021 15:07:07 +0100

pipewire (0.3.40-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Drop patches included in upstream release:
     - fix_compilation_on_armel.patch
     - fix_compilation_on_some_architectures.patch
     - make_insert_at()_fail_on_a_removed_item.patch
     - fix_type_for_big_endian.patch
     - only_run_SSE_when_supported.patch
  * Install a new manpage for pipewire-pulse
  * Update symbols file

 -- Dylan Aïssi <daissi@debian.org>  Fri, 12 Nov 2021 22:08:23 +0100

pipewire (0.3.39-4) unstable; urgency=medium

  * Team upload.
  * Update d/watch to point to gitlab.freedesktop.org/pipewire
      instead of a mirror.
  * Add an upstream patch to only run SSE when supported
      (Closes: #998129, #998130)
  * Build zeroconf modules (Closes: #998218)
    - Add libavahi-client-dev in Build-Deps
  * Add patch to don't build same binary twice (Closes: #998126)
      Thanks to Michael Biebl
  * Add dbus-user-session in Recommends (Closes: #982853, #998167)
  * Re-add pipewire-media-session as an alternative to Wireplumber,
      it is now back in the archive as a separate source package.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 08 Nov 2021 13:29:23 +0100

pipewire (0.3.39-3) unstable; urgency=medium

  * Team upload.
  * Remove pipewire-media-session from Recommends.
      (Closes: #995116, #996994, #997859)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 27 Oct 2021 21:09:13 +0200

pipewire (0.3.39-2) unstable; urgency=medium

  * Team upload.
  * Add upstream patches:
      - fix pw_map_insert_at and pw_map_item
      - fix compilation on armel

 -- Dylan Aïssi <daissi@debian.org>  Mon, 25 Oct 2021 17:23:25 +0200

pipewire (0.3.39-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Don't build the pipewire-media-session binary package anymore,
      media-session has moved to a separate module to accelerate its
      deprecation in favour of WirePlumber.
  * Change priority order between pipewire-media-session and wireplumber,
      WirePlumber is now the recommended session manager.
  * Install pw-v4l2 and libpw-v4l2.so in pipewire-bin and
      libpipewire-0.3-modules, respectively.
  * Drop d/p/fix-compilation-on-ARM.patch, included in upstream release
  * Add an upstream patch to fix compilation on some architectures
  * Update symbols file

 -- Dylan Aïssi <daissi@debian.org>  Thu, 21 Oct 2021 17:14:22 +0200



=== debian/control ===
--- 
+++ 
@@ -1,40 +1,46 @@
 Source: pipewire
 Section: libs
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper-compat (= 13),
                doxygen <!nodoc>,
                graphviz <!nodoc>,
                libasound2-dev,
+               libavahi-client-dev,
                libbluetooth-dev,
                libdbus-1-dev,
                libglib2.0-dev (>= 2.32.0),
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev,
                libjack-jackd2-dev (>= 1.9.10),
+               libcanberra-dev,
                libldacbt-abr-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
                libldacbt-enc-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
+               liblilv-dev,
                libncurses-dev,
-               libopenaptx-dev (>= 0.2.0-5~),
                libpulse-dev (>= 11.1),
+               libreadline-dev,
                libsbc-dev,
                libsdl2-dev,
                libsndfile1-dev (>= 1.0.20),
+               libssl-dev,
                libsystemd-dev [linux-any],
                libudev-dev [linux-any],
                libusb-1.0-0-dev,
                libv4l-dev,
                libwebrtc-audio-processing-dev,
-               meson (>= 0.50.0),
+               meson (>= 0.59.0),
                pkg-config (>= 0.22),
-               systemd [linux-any],
-               xmltoman
+               python3-docutils,
+               systemd [linux-any]
 Build-Conflicts: libfdk-aac-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/utopia-team/pipewire
 Vcs-Git: https://salsa.debian.org/utopia-team/pipewire.git
 Homepage: https://pipewire.org/
+Rules-Requires-Root: no
 
 Package: libpipewire-0.3-0
 Architecture: linux-any
@@ -190,7 +196,9 @@
 Depends: libpipewire-0.3-modules (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: pipewire-media-session | wireplumber
+Recommends: dbus-user-session,
+            pipewire-media-session | wireplumber,
+            rtkit
 Breaks: pipewire (<< 0.3.5)
 Replaces: pipewire (<< 0.3.5)
 Description: PipeWire multimedia server - programs
@@ -205,26 +213,6 @@
  This package contains the server and command-line utilities, and should
  not normally be depended on directly. PipeWire clients should depend on
  the pipewire package instead.
-
-Package: pipewire-media-session
-Section: video
-Architecture: linux-any
-Multi-Arch: foreign
-Replaces: pipewire-bin (<< 0.3.27-2)
-Breaks: pipewire-bin (<< 0.3.27-2)
-Depends: pipewire (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: PipeWire multimedia session manager
- PipeWire is a server and user space API to deal with multimedia
- pipelines. This includes:
- .
-  - Making available sources of video (such as from a capture devices or
-    application provided streams) and multiplexing this with clients.
-  - Accessing sources of video for consumption.
-  - Generating graphs for audio and video processing.
- .
- This package contains the default media session manager.
 
 Package: pipewire-pulse
 Section: video
@@ -308,3 +296,10 @@
  PipeWire is a server and user space API to deal with multimedia
  pipelines. This includes:
  .
+  - Making available sources of video (such as from a capture devices or
+    application provided streams) and multiplexing this with clients.
+  - Accessing sources of video for consumption.
+  - Generating graphs for audio and video processing.
+ .
+ This package contains a plugin to make Bluetooth audio devices such as
+ speakers and headsets available to the PipeWire server. It is considered

=== debian/rules ===
--- 
+++ 
@@ -18,19 +18,29 @@
 BLUEZ5_CODEC_LDAC=enabled
 endif
 
+# lilv and some of its dependencies are in universe
+ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
+LV2=disabled
+else
+LV2=enabled
+endif
+
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-Daudiotestsrc=enabled \
 		-Dauto_features=enabled \
-		-Davahi=disabled \
+		-Davahi=enabled \
 		-Dbluez5-codec-aac=disabled \
+		-Dbluez5-codec-aptx=disabled \
 		-Dbluez5-codec-ldac=$(BLUEZ5_CODEC_LDAC) \
 		-Dlibcamera=disabled \
 		-Ddocs=$(DOCS) \
 		-Dffmpeg=disabled \
 		-Dinstalled_tests=enabled \
+		-Dlv2=$(LV2) \
 		-Dman=enabled \
 		-Droc=disabled \
+		-Dsession-managers= \
 		-Dtest=enabled \
 		-Dvideotestsrc=enabled \
 		-Dvolume=enabled \

=== debian/watch ===
version=4
https://gitlab.freedesktop.org/pipewire/pipewire/tags?sort=updated_desc \
 archive/@ANY_VERSION@/pipewire-\d\S*@ARCHIVE_EXT@
